import request from '@/config/axios'

export interface DaPointChartReqVO {
  pointNos?: [],
  start?: Date,
  end?: Date,
}

export interface ApiPointPageReqVO extends PageParam {
  pointNo?: string
}

// 查询chart列表
export const getPointDaChart = (data: DaPointChartReqVO) => {
  return request.post({ url: '/data/api/query-points/chart', data })
}

// 查询多个测点当前值
export const getPointsRealValue = (data: []) => {
  return request.post({ url: '/data/api/query-points/real-value', data })
}

// 查询计算点当前值
export const getMathPointCurrentValue = (data: ApiPointPageReqVO) => {
  return request.post({ url: '/data/api/query-math-point/current-value', data })
}

//导出DaPointValue
export const exportDaPointValue = (params) => {
  return request.download({ url: '/data/da/point/exportValue', params })
}
